-module(ssh_bug).

-export([test/0]).

test() ->
    application:start(crypto),
    application:start(asn1),
    application:start(public_key),
    application:start(ssh),
    Ssh = ".",
    Port = 9876,
    case gen_tcp:listen(Port, [{reuseaddr, true}]) of
        {ok, Socket} ->
            gen_tcp:close(Socket),
            try
                case ssh:daemon(Port, [
                                       {system_dir, Ssh},
                                       {shell, fun(_, _) -> loop() end},
                                       {pwdfun, fun(_, _) -> true end}
                                      ]) of
                    {ok, Daemon} when is_pid(Daemon) ->
                        {ok, Daemon, Port, Ssh};
                    Other ->
                        error1
                end
            catch
                _:_Error ->
                    error2
            end;
        {error, _Error} ->
            error3
    end.

loop() ->
    Line = case io:get_line("") of
           eof ->
               erlang:exit({ok, eof});
           {error, Reason} ->
               erlang:exit({ok, Reason});
           _Data ->
               _Data
       end,
    io:fwrite(<<"Receive:~n~p~n">>, [Line]),
    loop().